<!-- ******************************************************** -->
<!--                                                          -->
<!--  [History]                                               -->
<!--    Converted to DocBook: Katsuya Amako, Aug-2006         -->
<!--                                                          -->
<!-- ******************************************************** -->


<!-- ******************* Section (Level#1) ****************** -->
<sect1 id="sect.DvpDbg">
<title>
Development and debug tools
</title>

<!-- ******************* Section (Level#2) ****************** -->
<sect2 id="sect.DvpDbg.Unix">
<title>
UNIX
</title>

<para>
Although not in the scope of this user manual, in this appendix
section we provide a set of references to rather known and
established development tools and environments we think are useful
for code development in C++ in general. It's a rather limited list,
far from being complete of course.

<itemizedlist spacing="compact">
  <listitem><para>
    The 
    <ulink url="http://kdevelop.org/">
    KDevelop environment 
    </ulink>
    on Linux systems.
  </para></listitem>
  <listitem><para>
    The GNU 
    <ulink url="http://www.gnu.org/software/ddd/">
    Data Display Debugger 
    </ulink>
    (DDD).
  </para></listitem>
  <listitem><para>
    <ulink url="http://valgrind.org/">
    Valgrind
    </ulink>
    , a system for debugging and profiling Linux programs.
  </para></listitem>
  <listitem><para>
    Microsoft  
    <ulink url="http://msdn.microsoft.com/vstudio/">
    Visual Studio
    </ulink>
    development environment.
  </para></listitem>
  <listitem><para>
    Parasoft  
    <ulink url="http://www.parasoft.com/jsp/products/home.jsp?product=Insure&amp;">
    Insure++ 
    </ulink>
    run-time debugger and memory checker 
  </para></listitem>
  <listitem><para>
    Parasoft 
    <ulink url="http://www.parasoft.com/jsp/products/home.jsp?product=CppTest">
    C++ Test
    </ulink>
    source code analyzer.
  </para></listitem>
  <listitem><para>
    <ulink url="http://www.sparxsystems.com.au/products/ea/">
    Enterprise Architect 
    </ulink>
    UML Visual Modeling tool.
  </para></listitem>
  <listitem><para>
    <ulink url="http://www.borland.com/us/products/together/index.html">
    Borland Together
    </ulink>
    Visual Modeling for Software Architecture Design tool.
  </para></listitem>
</itemizedlist>
</para>


</sect2>
</sect1>
